Classifies multiple prospects in one project to the same pipeline stage.
Path Parameters
- Type: stringproject
Id requiredProject ID
Body·
required
Batch classification request
Request body for batch-classifying prospects in a project.
- Type: stringclassification
Pattern: ^(not_contacted|contacted|interested|not_interested|bidder)$requiredPipeline stage to set: not_contacted, contacted, interested, not_interested, bidder.
- Type: array string[] …100prospect
Ids requiredList of prospect IDs to classify. Maximum 100.
Responses
- application/json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
Request Example for post/api/v1/projects/{projectId}/prospects/classify
curl 'https://app.propstreet.com/api/v1/projects/{projectId}/prospects/classify' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"prospectIds": [
""
],
"classification": ""
}'
{
"classified": "string",
"succeeded": [
"string"
],
"failed": [
{
"prospectId": "string",
"error": "string"
}
]
}